LinuxQuestions.org
Help answer threads with 0 replies.
Home Forums Tutorials Articles Register
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Networking
User Name
Password
Linux - Networking This forum is for any issue related to networks or networking.
Routing, network cards, OSI, etc. Anything is fair game.

Notices


Reply
  Search this Thread
Old 01-30-2003, 03:16 PM   #16
Grim Reaper
Member
 
Registered: Apr 2002
Distribution: Gentoo 2006.0 AMD64
Posts: 399

Original Poster
Rep: Reputation: 30

bugger...it doesn't allow me to compile it as a module...its only option is to compile straight into the kernel...
 
Old 01-30-2003, 04:43 PM   #17
Darin
Senior Member
 
Registered: Jan 2003
Location: Portland, OR USA
Distribution: Slackware, SLAX, Gentoo, RH/Fedora
Posts: 1,024

Rep: Reputation: 45
I think modulizing that one is bad, isn't it used in some internal linux schtuff?

Anyhow, it's possible you got "dished" "turned" or whatever the current buzzword for "give some oddball answer for user to go off and try to get them off my back" is

Have you tried the dsl setup script again and/or editing the dsl-start one? Or starting dhcp now with the ethernet card or going through the dsl howto again with the knowledge that you DO have unix98pty support?
 
Old 01-31-2003, 06:57 PM   #18
Grim Reaper
Member
 
Registered: Apr 2002
Distribution: Gentoo 2006.0 AMD64
Posts: 399

Original Poster
Rep: Reputation: 30
I've tried re-setting up my details through the adsl-setup script several times...but how do you mean edit the adsl-start one?

AFAIK dhcpd is up and running, but i haven't tried going back through the guide...Did we post it in here..I'll have to check otherwise I've lost the link...
 
Old 02-01-2003, 02:37 AM   #19
Darin
Senior Member
 
Registered: Jan 2003
Location: Portland, OR USA
Distribution: Slackware, SLAX, Gentoo, RH/Fedora
Posts: 1,024

Rep: Reputation: 45
Check www.tldp.org for the HOWTOs

*IF* the setup does what I think it does and I'm not sure either way since I have no experience with it but... The setup probably makes a simple bash script and calles it adsl-start then marks it as executable.

if so, you can search for it...
whereis adsl-start
then open it with your favorite text editor...
vi /usr/sbin/adsl-start
and see if you can decipher what it's trying to do or at least run some of the same commands by hand to see where it is causing problems. or if it's not too big you could even post it in this thread and we can have the guru MasterC analyze it for the fix.

Also, you said dhcpd, make sure to differentiate the commands. dhcpd is the DHCP server daemon used for making your linux box give IP addresses out to others. dhcpc is the DHCP client used to make your linux box ask another DHCP server to give it an address.
 
Old 02-02-2003, 03:38 AM   #20
Grim Reaper
Member
 
Registered: Apr 2002
Distribution: Gentoo 2006.0 AMD64
Posts: 399

Original Poster
Rep: Reputation: 30
I took a look at the adsl-start script (which is created when i ran ./configure, make and make install)...

here it is:

Code:
#!/bin/sh
# Generated automatically from adsl-start.in by configure.
#***********************************************************************
#
# adsl-start
#
# Shell script to bring up an ADSL connection
#
# Copyright (C) 2000 Roaring Penguin Software Inc.
#
# $Id: adsl-start.in,v 1.8 2002/04/09 17:28:39 dfs Exp $
#
# This file may be distributed under the terms of the GNU General
# Public License.
#
# LIC: GPL
#
# Usage: adsl-start [config_file]
#        adsl-start interface user [config_file]
# Second form overrides USER and ETH from config file.
# If config_file is omitted, defaults to /etc/ppp/pppoe.conf
#
#***********************************************************************

# From AUTOCONF
prefix=/usr
exec_prefix=${prefix}

# Paths to programs
CONNECT=${exec_prefix}/sbin/adsl-connect
ECHO=/bin/echo
IFCONFIG=/sbin/ifconfig

# Set to "C" locale so we can parse messages from commands
LANG=C
export LANG

# Defaults
CONFIG=/etc/ppp/pppoe.conf
USER=""
ETH=""
ME=`basename $0`
# Must be root
if [ "`/usr/bin/id -u`" != 0 ] ; then
    $ECHO "$ME: You must be root to run this script" >& 2
    exit 1
fi

# Debugging
if [ "$DEBUG" = "1" ] ; then
    $ECHO "*** Running in debug mode... please be patient..."
    DEBUG=/tmp/pppoe-debug-$$
    export DEBUG
    mkdir $DEBUG
    if [ "$?" != 0 ] ; then
	$ECHO "Could not create directory $DEBUG... exiting"
	exit 1
    fi
    DEBUG=$DEBUG/pppoe-debug.txt

    # Initial debug output
    $ECHO "---------------------------------------------" > $DEBUG
    $ECHO "* The following section contains information about your system" >> $DEBUG
    date >> $DEBUG
    $ECHO "Output of uname -a" >> $DEBUG
    uname -a >> $DEBUG
    $ECHO "---------------------------------------------" >> $DEBUG
    $ECHO "* The following section contains information about your network" >> $DEBUG
    $ECHO "* interfaces.  The one you chose for PPPoE should contain the words:" >> $DEBUG
    $ECHO "* 'UP' and 'RUNNING'.  If it does not, you probably have an Ethernet" >> $DEBUG
    $ECHO "* driver problem." >> $DEBUG
    $ECHO "Output of ifconfig -a" >> $DEBUG
    $IFCONFIG -a >> $DEBUG
    $ECHO "---------------------------------------------" >> $DEBUG
    if [ "`uname -s`" = "Linux" ] ; then
        $ECHO "* The following section contains information about kernel modules" >> $DEBUG
	$ECHO "* If the module for your Ethernet card is 'tulip', you might" >> $DEBUG
	$ECHO "* want to look for an updated version at http://www.scyld.com" >> $DEBUG
	$ECHO "Output of lsmod" >> $DEBUG
	lsmod >> $DEBUG
	$ECHO "---------------------------------------------" >> $DEBUG
    fi
    $ECHO "* The following section lists your routing table." >> $DEBUG
    $ECHO "* If you have an entry which starts with '0.0.0.0', you probably" >> $DEBUG
    $ECHO "* have defined a default route and gateway, and pppd will" >> $DEBUG
    $ECHO "* not create a default route using your ISP.  Try getting" >> $DEBUG
    $ECHO "* rid of this route." >> $DEBUG
    $ECHO "Output of netstat -n -r" >> $DEBUG
    netstat -n -r >> $DEBUG
    $ECHO "---------------------------------------------" >> $DEBUG
    $ECHO "Contents of /etc/resolv.conf" >> $DEBUG
    $ECHO "* The following section lists DNS setup." >> $DEBUG
    $ECHO "* If you can browse by IP address, but not name, suspect" >> $DEBUG
    $ECHO "* a DNS problem." >> $DEBUG
    cat /etc/resolv.conf >> $DEBUG
    $ECHO "---------------------------------------------" >> $DEBUG
    $ECHO "* The following section lists /etc/ppp/options." >> $DEBUG
    $ECHO "* You should have NOTHING in that file." >> $DEBUG
    $ECHO "Contents of /etc/ppp/options" >> $DEBUG
    cat /etc/ppp/options >> $DEBUG 2>/dev/null
    $ECHO "---------------------------------------------" >> $DEBUG
else
    DEBUG=""
fi

# Sort out command-line arguments
case "$#" in
    1)
	CONFIG="$1"
	;;
    3)
	CONFIG="$3"
	;;
esac

if [ ! -f "$CONFIG" -o ! -r "$CONFIG" ] ; then
    $ECHO "$ME: Cannot read configuration file '$CONFIG'" >& 2
    exit 1
fi

. $CONFIG

# Check for command-line overriding of ETH and USER
case "$#" in
    2|3)
	ETH="$1"
	USER="$2"
	;;
esac

# Check for pidfile
if [ -r "$PIDFILE" ] ; then
    PID=`cat "$PIDFILE"`
    # Check if still running
    kill -0 $PID > /dev/null 2>&1
    if [ $? = 0 ] ; then
	$ECHO "$ME: There already seems to be an ADSL connection up (PID $PID)" >& 2
	exit 1
    fi
    # Delete bogus PIDFILE
    rm -f "$PIDFILE" "$PIDFILE.pppd" "$PIDFILE.pppoe" "$PIDFILE.start"
fi

echo $$ > $PIDFILE.start

# Start the connection in the background unless we're debugging
if [ "$DEBUG" != "" ] ; then
    $CONNECT "$@"
    exit 0
fi

$CONNECT "$@" > /dev/null 2>&1 &
CONNECT_PID=$!

if [ "$CONNECT_TIMEOUT" = "" -o "$CONNECT_TIMEOUT" = 0 ] ; then
    exit 0
fi

# Don't monitor connection if dial-on-demand
if [ "$DEMAND" != "" -a "$DEMAND" != "no" ] ; then
    exit 0
fi

# Monitor connection
TIME=0
while [ true ] ; do
    ${exec_prefix}/sbin/adsl-status $CONFIG > /dev/null 2>&1

    # Looks like the interface came up
    if [ $? = 0 ] ; then
	# Print newline if standard input is a TTY
	tty -s && $ECHO " Connected!"
	exit 0
    fi

    if test -n "$FORCEPING" ; then
	$ECHO -n "$FORCEPING"
    else
	tty -s && $ECHO -n "$PING"
    fi
    sleep $CONNECT_POLL
    TIME=`expr $TIME + $CONNECT_POLL`
    if [ $TIME -gt $CONNECT_TIMEOUT ] ; then
	break
    fi
done

$ECHO "TIMED OUT" >& 2
# Timed out!  Kill the adsl-connect process and quit
kill $CONNECT_PID > /dev/null 2>&1

# Clean up PIDFILE(s)
rm -f "$PIDFILE" "$PIDFILE.pppd" "$PIDFILE.pppoe" "$PIDFILE.start"

exit 1

I can't decipher much of it, so I'm hoping that somebody here can tell us whats going on...

Also, i downloaded a package called 'dhcpd', and when i goto run it, i type: dhcpd, but it is a client, because when i just type: dhcpd it gives me an output the same as dhcpd --help would, and up the top of this output it says "DHCP Client"...

By actually running dhcpd, it doesn't start a daemon or process or anything, it just gives me the output explained above...

Hopefully you get what i mean with this...
 
Old 02-02-2003, 06:44 AM   #21
Darin
Senior Member
 
Registered: Jan 2003
Location: Portland, OR USA
Distribution: Slackware, SLAX, Gentoo, RH/Fedora
Posts: 1,024

Rep: Reputation: 45
Being that I'm inexperienced with PPPoE and admittidly made a blockhead mistake of assuming it connected via TCP/IP to your DSL and THEN did ppp I have to say we can probably ignore the whole dhcp thing.

Your roaring penguin link says to not set up the IP of the card so open /etc/rc.d/rc.inet1 and comment out the appropriate IPADDR, NETMASK, USE_DHCP sections for your card and take out anything in any startup files you added that does set tcp/ip up.

That script you posted is slightly cryptic (OK, I'll admit it I have no clue what its doing!) I did gather that the ppp part of things uses settings in /etc/ppp/pppoe.conf though and it's possible that the timeout isn't a dhcp timeout but a ppp timeout, it is ppp over ethernet after all...

So take a look at that file, there should be a debug setting you can use by just adding a line "debug" or possibly "debug=1" and it should have the correct connection information such as username, try replacing:
name "mylogin"
with
user "mylogin"

Aside from that I'd say run through the instructions at your http://www.roaringpenguin.com/pppoe/how-to-connect.txt link again is the best bet, then if it doesn't work let us know.
 
Old 02-03-2003, 11:20 PM   #22
Grim Reaper
Member
 
Registered: Apr 2002
Distribution: Gentoo 2006.0 AMD64
Posts: 399

Original Poster
Rep: Reputation: 30
I've taken everything out of the startup scripts (well, the only thing being: ifconfig eth0 192.168.0.1 broadcast 192.168.0.0 netmask 255.255.255.0 as its a LFS, and that's all that i had entered...maybe i needed more for this to work?)

And I'll post the output of DEBUG=1 adsl-start later tonight...


I don't get what you mean with:
replace:
name "mylogin"
with
user "mylogin"
 
  


Reply



Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off



Similar Threads
Thread Thread Starter Forum Replies Last Post
PPPoE in Linux rabeea Linux - Networking 4 06-15-2005 03:21 AM
PPPOE and Vector Linux (Slackware 10.1) wellington Linux - Software 2 03-10-2005 03:38 PM
How can I porting PPPOE to ARM-LINUX? frankli Linux - Networking 0 02-25-2005 04:10 AM
adsl-status can't read pppoe PID file with rp-pppoe program setup Smarvy Linux - Newbie 2 03-13-2004 11:35 PM
pppoe through linux router/firewall ..Tookers.. Linux - Networking 2 04-30-2003 07:34 AM

LinuxQuestions.org > Forums > Linux Forums > Linux - Networking

All times are GMT -5. The time now is 03:36 PM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
Open Source Consulting | Domain Registration